Bug 149725 - [patch] devel/cdk: Errors in examples of cdk_display(3) man page
Summary: [patch] devel/cdk: Errors in examples of cdk_display(3) man page
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Baptiste Daroussin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-16 23:40 UTC by loic-freebsd
Modified: 2010-11-22 11:40 UTC (History)
0 users

See Also:


Attachments
file.diff (3.41 KB, patch)
2010-08-16 23:40 UTC, loic-freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description loic-freebsd 2010-08-16 23:40:00 UTC
Hello,

The examples in the cdk_display(3) man page are incorrect and don't work as expected (wrong colors, segfault, ...).

The attached patch make them work properly.

Fix: Attached patch

Patch attached with submission follows:
How-To-Repeat: copy/paste the examples from cdk_display(3) man page, try to compile them and examine their behaviour
Comment 1 Stefan Walter freebsd_committer 2010-11-11 08:31:48 UTC
Hi Loic,

the man page you sent the patch for is part of the cdk distribution. IMHO,
instead of adding the patch to the FreeBSD port, it should be sent to the
upstream maintainer (see http://invisible-island.net/cdk/) to be
reviewed/incorporated there.

Please let me know if there are reasons to add it to the FreeBSD port only
or if this PR should be closed.

Regards,
Stefan
Comment 2 loic-freebsd 2010-11-11 10:56:14 UTC
Le 11/11/2010 09:31, Stefan Walter a écrit :
> Hi Loic,
>
> the man page you sent the patch for is part of the cdk distribution. IMHO,
> instead of adding the patch to the FreeBSD port, it should be sent to the
> upstream maintainer (see http://invisible-island.net/cdk/) to be
> reviewed/incorporated there.
>
> Please let me know if there are reasons to add it to the FreeBSD port only
> or if this PR should be closed.
>
> Regards,
> Stefan
>

Hello Stefan,

I also sent the path upstream at the same time, the author told me he 
will have a look, but it didn't happened yet.

I have created this PR so people could have a correct documentation 
until next upstream release. (and save hours wondering why the examples 
don't work)

Maybe you can still patch the port, until further upstream release 
correct it ?

Regards,
Loïc
Comment 3 Tilman Keskinoz freebsd_committer 2010-11-18 12:06:31 UTC
It might also be worthwhile to update the port to the latest version on 
the MASTER_SITE, cdk-5.0-20090215.tgz
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2010-11-20 13:53:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bapt

Over to maintainer.
Comment 5 dfilter service freebsd_committer 2010-11-22 11:37:30 UTC
bapt        2010-11-22 11:37:25 UTC

  FreeBSD ports repository

  Added files:
    devel/cdk/files      patch-man__cdk_display.3 
  Log:
  - fix example in cdk_display(3)
  
  PR:             ports/149725
  Submitted by:   Loic Pefferkorn <loic-freebsd _at_ loicp.eu>
  
  Revision  Changes    Path
  1.1       +99 -0     ports/devel/cdk/files/patch-man__cdk_display.3 (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Baptiste Daroussin freebsd_committer 2010-11-22 11:37:40 UTC
State Changed
From-To: open->closed

Committed. Thanks!